### Hierarchy

- unknown
  - StartMoneroNodeRequest

## Index

### Constructors

- constructor

### Methods

- clearSettings
- getSettings
- hasSettings
- serializeBinary
- setSettings
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new StartMoneroNodeRequest(): StartMoneroNodeRequest

- Inherited from jspb.Message.constructor

  #### Returns StartMoneroNodeRequest

## Methods

### clearSettings

- clearSettings(): StartMoneroNodeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1251

  #### Returns StartMoneroNodeRequest

### getSettings

- getSettings(): undefined | MoneroNodeSettings

- - Defined in src/protobuf/grpc_pb.d.ts:1248

  #### Returns undefined | MoneroNodeSettings

### hasSettings

- hasSettings(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1250

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1253

  #### Returns Uint8Array

### setSettings

- setSettings(value?: MoneroNodeSettings ): StartMoneroNodeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1249

  #### Parameters

  - ##### Optional value: MoneroNodeSettings

  #### Returns StartMoneroNodeRequest

### toObject

- toObject(includeInstance?: boolean): StartMoneroNodeRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1254

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns StartMoneroNodeRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): StartMoneroNodeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1257

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns StartMoneroNodeRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: StartMoneroNodeRequest, reader: BinaryReader): StartMoneroNodeRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1258

  #### Parameters

  - ##### message: StartMoneroNodeRequest

  - ##### reader: BinaryReader

  #### Returns StartMoneroNodeRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: StartMoneroNodeRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1256

  #### Parameters

  - ##### message: StartMoneroNodeRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: StartMoneroNodeRequest ): StartMoneroNodeRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1255

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: StartMoneroNodeRequest

  #### Returns StartMoneroNodeRequest . AsObject

Generated using TypeDoc